import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiUserGetResourceConsumptionResultModel(
    _base.BaseAPIResultModel,
):
    user_name: str
    consumed: _nested.ResourceCountersAPIResultNM
    reserved: _nested.ResourceCountersAPIResultNM


class CloudapiUserGetResourceConsumptionProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def get_resource_consumption(
        self
    ) -> CloudapiUserGetResourceConsumptionResultModel:
        ...
